Intereting Posts
Android Как определить несущую в сети CDMA? Группировка нескольких из множества исходных кодов, имеющих точно такую ​​же конфигурацию Завершение курсора, который не был деактивирован или закрыт нефатальной ошибкой Android: одновременный доступ к микрофону (RecognizerIntent + собственное приложение) Скачивание большого файла (> 100 Мб) на Honeycomb в AsyncTask замедляет пользовательский интерфейс, возможно, из-за GC? Динамическое использование setImageDrawable для установки изображения в ImageView Как зарегистрировать класс приложения в файле манифеста Сбой сборки Gradle и Android Studio Libgdx рисовать китайские персонажи Как сохранить json-массив для внутреннего хранилища android Расширение трансляции и отслеживание Google Analytics INSTALL_REFERRER Android Firebase DynamiteModule: не удалось загрузить дескриптор модуля Как добавить gridview setOnItemClickListener Где я могу получить JAR для импорта libcore.io? Intermodule (библиотечные проекты) в приложении для Android

Совместимость дизайна материалов с версиями ниже Android 5.0?

Можно ли использовать темы дизайна материалов для версий ниже Android 5.0? Согласно этой ссылке это не так:

Материальный дизайн – это всестороннее руководство по визуальному дизайну, движению и взаимодействию между платформами и устройствами. Android теперь включает поддержку приложений для создания материалов. Чтобы использовать дизайн материалов в приложениях для Android, следуйте инструкциям, определенным в спецификации материалов, и используйте новые компоненты и функциональные возможности, доступные в Android 5.0 (API уровня 21) и выше.

Вы можете использовать библиотеку поддержки, чтобы иметь некоторые функции в более ранних версиях, а также упомянутые ниже ссылки:

https://developer.android.com/training/material/compatibility.html

Также как упоминалось ниже, вы также можете посетить эту ссылку: –

http://android-developers.blogspot.in/2014/10/appcompat-v21-material-design-for-pre.html

Вы можете использовать AppCompat, как указано здесь: http://android-developers.blogspot.com/2014/10/appcompat-v21-material-design-for-pre.html

Все, о чем вы просите, находится в этой ссылке. Ура 🙂

Да, можно использовать темы дизайна материалов ниже android 5.0. U может следовать по этой ссылке, чтобы увидеть обратную совместимость

И чтобы узнать больше о материальном дизайне, используйте эту ссылку

Используйте AppCompat lib, как указано в других комментариях, и один из лучших примеров использования материальной совместимости.

https://github.com/tekinarslan/AndroidMaterialDesignToolbar